package com.xmomen.module.wx.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.wx.entity.WxAppSetting;
import com.xmomen.module.wx.entity.WxAppSettingExample;
import org.apache.ibatis.annotations.Param;

// WxAppSettingMapper接口，继承MybatisMapper
public interface WxAppSettingMapper extends MybatisMapper {
    // 根据条件统计WxAppSetting的数量
    int countByExample(WxAppSettingExample example);

    // 根据条件删除WxAppSetting
    int deleteByExample(WxAppSettingExample example);

    // 插入WxAppSetting
    int insertSelective(WxAppSetting record);

    // 根据条件更新WxAppSetting
    int updateByExampleSelective(@Param("record") WxAppSetting record, @Param("example") WxAppSettingExample example);
}